[linux-audio-dev] LADSPA proposal ...

Mike Rawes mike_rawes at yahoo.co.uk
Fri May 14 16:45:58 UTC 2004

 --- Chris Cannam <cannam at all-day-breakfast.com> wrote: > On Friday 14 May 2004
15:33, torbenh at gmx.de wrote:
> > we should make sure that the v2plugin metadata contains a hint which
> > v1 plugin is made obsolete by this v2plugin
> Will it be possible for the same plugin to implement both v1 and v2?
> (I would have thought that was probably a necessity, but then I don't write 
> plugins.)

Ooh. That's a good point...

I've written a few plugins, and the thought of maintaining two versions of
otherwise identical plugins doesn't appeal. It is possible to combine two
versions in the source, and determine which version to build at compile time. 

I don't think it is feasible to have a single plugin provide both v1 and v2 at
run time (say, if a 1.x only host and a 2.x only host are wanting the same
plugin) - the plugin descriptors won't be binary compatible.


Yahoo! Messenger - Communicate instantly..."Ping" 
your friends today! Download Messenger Now 

More information about the Linux-audio-dev mailing list